import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a GUI display window (MVC view).
 * </p>
 * @version 1.0
 *
 */
public class PlacesDisplayWindow extends JFrame implements ActionListener {
	private static final long serialVersionUID = -7544472247240102278L;
	
	private JList displayPlaceList;
	private PlacesModel model;
	
	public PlacesDisplayWindow() {
		setTitle("Your List of Places");
	}

	public void actionPerformed(ActionEvent e) {
		displayPlaceList.setListData(model.getPlaceMap().values().toArray());
		pack();
	}
	
	public void setModel(PlacesModel model) {
		this.model = model;
		
		if (model != null) {
			model.addActionListener(this);
			add(new JLabel("PLACE NAME, STATE (POPULATION, YEAR)"), BorderLayout.NORTH);
			displayPlaceList = new JList(model.getPlaceMap().values().toArray());
			add(displayPlaceList, BorderLayout.CENTER);
			pack();
			setVisible(true);
		}
	}

	public PlacesModel getModel() {
		return model;
	}
}